Zum Hauptinhalt springen
POST
/
aiQualityCheck
/
testCase
Create an AI quality test case
curl --request POST \
  --url https://demo.enneo.ai/api/mind/aiQualityCheck/testCase \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "ticketId": 123,
  "aiAgentId": 123,
  "expectedResult": {
    "contractId": "123456",
    "inputParameters": {
      "change_meter_reading": {
        "_action": null,
        "requestedDeposit": 35
      }
    },
    "intentDetection": [
      "change_meter_reading",
      "change_payment_method"
    ],
    "outcomeActions": {
      "change_meter_reading": [
        "Update ERP System",
        "Inform Customer change is not possible"
      ]
    },
    "outcomeNotifications": {
      "change_meter_reading": [
        "Meter reading is plausible"
      ]
    },
    "outcomeText": {
      "change_meter_reading": null
    },
    "outcomeType": {
      "change_meter_reading": "interaction"
    },
    "sentiment": "disappointed",
    "tags": [
      "sales",
      "marketing"
    ],
    "aiSupportLevel": "human",
    "sources": {
      "change_meter_reading": [
        {
          "type": "ticket",
          "id": "123",
          "summary": "Similar case"
        },
        {
          "type": "faq",
          "id": "456",
          "title": "How to change meter reading"
        }
      ]
    },
    "error": null
  }
}
'
{
  "success": true,
  "testCase": {
    "id": 123,
    "ticketId": 123,
    "aiAgentIds": [
      1,
      2,
      3
    ],
    "channel": "<string>",
    "summary": "<string>",
    "description": "<string>",
    "expectedResult": {},
    "modifiedBy": 123
  }
}

Documentation Index

Fetch the complete documentation index at: https://docs.enneo.ai/llms.txt

Use this file to discover all available pages before exploring further.

Autorisierungen

Authorization
string
header
erforderlich

JWT-based authentication

Body

application/json
ticketId
integer

Ticket to use as the test case.

aiAgentId
integer

AI agent the test case is bound to.

expectedResult
object

The updated expected result for the test ticket. You can either specify all test conditions, or only some. In this case only the provided test conditions will be provided

Antwort

200 - application/json

Created

success
boolean
Beispiel:

true

testCase
object

Represents a test case for AI quality checks. A ticket that is assigned to AI agents with an expected result. During a specific test run, every test case is individually tested and the result is saved as a "test ticket". So if we have 10 test cases and 5 test runs, we will have 10*5=50 test tickets. Note: aiAgentIds are for reference only. Each test case generates ONE test ticket per test run, regardless of how many agents are in aiAgentIds.